org.apache.tapestry5.ioc.util

## Class TimeInterval

- java.lang.Object
- - org.apache.tapestry5.ioc.util.TimeInterval

-     public class TimeInterval
      extends Object

  Used to represent a period of time, specifically as a configuration value. This is often used to specify timeouts. TimePeriods are parsed from strings. The string specifys a number of terms. The values of all the terms are summed together to form the total time period. Each term consists of a number followed by a unit. Units (from largest to smallest) are:
  y
    year
  d
    day
  h
    hour
  m
    minute
  s
    second
  ms
    millisecond
  Example: "2 h 30 m". By convention, terms are specified largest to smallest. A term without a unit is assumed to be milliseconds. Units are case insensitive ("h" or "H" are treated the same).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeInterval(long milliseconds)`
    `TimeInterval(String input)` Creates a TimeInterval for a string.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `long` | `milliseconds()`
    `long` | `seconds()`
    `String` | `toDescription()` Converts the milliseconds back into a string (compatible with `TimeInterval(String)`).
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeInterval

          public TimeInterval(String input)

      Creates a TimeInterval for a string.
      Parameters:
        `input` - the string specifying the amount of time in the period

    - #### TimeInterval

          public TimeInterval(long milliseconds)

  - ### Method Detail

    - #### milliseconds

          public long milliseconds()

    - #### seconds

          public long seconds()

    - #### toDescription

          public String toDescription()

      Converts the milliseconds back into a string (compatible with `TimeInterval(String)`).
      Since:
        5.2.0

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.